=== debian/changelog ===
tcos (0.89.86) unstable; urgency=low

  * Change 'xvnc4viewer | xvncviewer' with 
    xtightvncviewer (avalaible in armel) (closes: #651188)
  * debian/changelog: split a very long line

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Wed, 07 Dec 2011 23:24:48 +0100

tcos (0.89.85) unstable; urgency=low

  * common.mk: Update kernel versions (add 2 last Ubuntus)
  * tcos-standalone.init 45wakeonlan: Support old and new ethtool paths
  * Makefile: disable openvpn install target
  * hooks-addons/45wakeonlan: Fix OR => AND in ethtool paths
  * tnc/tcos-net-controller.c: Remove not needed include, 
    fix hurd-i386 build
  * tcos-standalone: move ethtool from Depends to Recommends
  * debian/tcos-standalone.init: Check if ethtool bin exists before run wakeonlan
  * hooks-addons/45wakeonlan: refactor ethtool cpifexists
  * Change Priority to extra, we depend on some extra packages
  * move from CDBS to dh7
  * hooks-addons/50xorg: Remove nVIDIA libs in multiarch paths too
  * hooks-addons/21pulseaudio: No install filter, equalizer or rygel modules

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Thu, 24 Nov 2011 16:02:16 +0100

tcos (0.89.84) unstable; urgency=low

  * Promoted by "Antonio Pérez-Aranda <ant30tx@gmail.com>"
             from Yaco Sistemas SL <www.yaco.es>
  * hooks-addons/00main: really fix libgssapi_krb5

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Thu, 15 Sep 2011 15:43:18 +0200

tcos (0.89.83) unstable; urgency=low

  * fix some compilations warnings variable ‘XXX’ set but not used [-Wunused-but-set-variable]
  * hooks-addons/00main: multiarch support for libgssapi_krb5.so
  * hooks-addons/51paquito: fix typo ) => }

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Thu, 15 Sep 2011 15:42:54 +0200

tcos (0.89.82) unstable; urgency=low

  * Add Ubuntu Natty and update Ubuntu Maverick kernels
  * lockscreen/Makefile: Use pkg-config to get glib-2.0 includes and libs
  * Fix warnings: 'variable XXX set but not used [-Wunused-but-set-variable]'
  * Fix multiarch support
  * hooks-addons/51dri: Add multiarch support
  * hooks-addons/00main: Add more multiarch code, and include rpcbind daemon
  * scripts/tcos-top/05network: Exec rpcbind if found
  * hooks-addons/04debug: ldd use x64 if exists
  * hooks-addons/50xorg: delete libnvidia files in image
  * bin/tcos-buildchroot: add file to package list in chroot
  * hooks-addons/05compcache: Use 'zram' in newer kernels
  * hooks-addons/50xorg: search for NVIDIA in libglx.so
  * Use '-e' instead '-d' for dir tests

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Wed, 06 Jul 2011 14:42:59 +0200

tcos (0.89.81) unstable; urgency=low

  * debian/initramfs-tools-tcos.install: Install OpenVPN files in /var/lib/tcos/openvpn
  * common.mk: Update kernels

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 12 Jun 2011 14:31:46 +0200

tcos (0.89.80) unstable; urgency=low

  * change xmlrpc dev build depends order
  * xmlrpc/Makefile: use $(shell cmd) instead of
  * hooks-addons/16dbus-avahi: add Avahi mDNS for autodiscover tcos hosts
  * hooks-addons/16dbus-avahi: join the Avahi services in one file
  * Add Avahi tcos-standalone.service file
  * add OpenVPN support for TCOS images
  * conf/base.conf: add TCOS_OPENVPN var (disabled by default)
  * hooks-addons/18openvpn: fix var names
  * scripts/tcos-top/05network: Use TCOS_SERVER instead of dhcpserver for tcos-server in /etc/hosts
  * xmlrpc/sh/getinfo.sh: fix typo
  * hooks-addons/18openvpn: don't save hostname as VPN server IP
  * openvpn/tcos-init-openvpn: secure key files and restart openvpn with cond-restart
  * scripts/tcos-bottom/25startx: Use getinfo to get NETWORK_IP
  * openvpn/tcos-init-openvpn: add info messages
  * xmlrpc/sh/getinfo.sh hooks-addons/18openvpn: use tap0 instead of tun0 and wait for VPN link
  * hooks-addons/18openvpn: Add message when starting VPN
  * Switch VPN dir from /etc/tcos/openvpn to /var/lib/tcos/openvpn
  * initial multiseat support
  * bin/tcos-buildchroot: fix udevadm calls in chroot and use dpkg-divert to move files
  * openvpn: use tap instead of tun in server side
  * hooks-addons/00main: Use /lib/x86_64-linux-gnu if found
  * hooks-addons/01busybox: remove silent old busybox
  * hooks-addons/03udev2: copy /lib/udev/pci-db if found (sound realated)
  * hooks-addons/18openvpn: add break points
  * bin/gentcos: convert module links in files and call parse_pxelinuxcfg after image build

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 12 Jun 2011 13:46:41 +0200

tcos (0.89.79) unstable; urgency=low

  * bin/configurexorg: fix quotes in font paths
  * debian/initramfs-tools-tcos.postinst: bashish, don't use function
  * debian/tcos-standalone.init: cosmetic changes in init script
  * debian/control: Use Standars 3.9.1 and add libxmlrpc-core-c3-dev as alternative of libxmlrpc-c3-dev

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Fri, 25 Feb 2011 18:38:33 +0100

tcos (0.89.78) unstable; urgency=low

  * lockscreen/Makefile tmixer/Makefile: add lost link flags, thanks ghe@d.o

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Wed, 16 Feb 2011 18:07:32 +0100

tcos (0.89.77) unstable; urgency=low

  * bin/get_vga_vendor: Use /sys/bus/pci with CLASS 0x030000 to search VGA vendor
  * lockscreen/Makefile lockscreen/waitforX.c debian/copyright: rewrite waitforX
  * hooks-addons: exit if waitforX fail
  * bin/get_vga_vendor bin/configurexorg: save VENDOR and MODEL and use in configurexorg
  * xmlrpc/pci.h: simplify PCI_ALL command

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Wed, 16 Feb 2011 17:43:53 +0100

tcos (0.89.76) unstable; urgency=low

  * debian/copyright: Machine readable debian/copyright format
  * update debian/copyright
  * bin/get_vga_vendor: cache VGA Vendor output in /tmp/vga_vendor
  * global license headers fix
  * Makefile: delete obsolete targets
  * debian/control: fix descriptions

