=== debian/control ===
Source: tcos
Section: net
Priority: extra
Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
Build-Depends: debhelper (>= 7.0.0), libxmlrpc-c3-dev | libxmlrpc-core-c3-dev, libxau-dev, libxaw7-dev, 
               libimlib2-dev, python (>= 2.6.6-3~), pkg-config, libasound2-dev,
               libglib2.0-dev
Standards-Version: 3.9.2
Vcs-Git: http://tcosproject.org/git/tcos.git
Vcs-Browser: http://tcosproject.org/cgit/tcos.git/
Homepage: http://www.tcosproject.org

Package: initramfs-tools-tcos
Architecture: all
Depends: tcos-core, 
         initramfs-tools (>= 0.40), 
         console-setup | console-data,
         squashfs-tools,
         pciutils,
         ltspfsd-core,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: mbr, 
            syslinux,
            mtools,
            acpid,
            pulseaudio,
            dropbear,
            fgetty,
            p910nd,
            genisoimage, 
            mknbi,
            twm,
            binutils,
            alsa-base, 
            cdparanoia,
            xfonts-100dpi,
            debootstrap
Conflicts: tcosmonitor (<< 0.1.23.2), tcos (<< 0.89.26)
Description: Tools for generating a TCOS thin client bootable image
 This package contains tools to create a bootable initramfs for prepackaged
 2.6 Linux kernel. The initramfs is an cpio archive. At boot time, the kernel
 unpacks that archive into ram, mounts and uses it as initial root file system.
 Next thin client configure some hardware, download extra tools 
 ( /usr compressed dir ) and connect to remote server using XMDCP, ssh -X, 
 FreeNX, rDesktop...

Package: tcos-core
Architecture: any
Depends: busybox (>= 1:1.13.3) | busybox-static (>= 1:1.13.3) | udhcpc, 
         xterm, 
         x11vnc, 
         xtightvncviewer, 
         dosfstools, 
         scrot, 
         eject, 
         netpipes, 
         libnotify-bin, 
         libasound2-plugins, 
         iproute, 
         xdg-utils, 
         pulseaudio-utils, 
         python, 
         python-utmp, 
         python-dbus, 
         python-ipaddr,
         python-ipy,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: vlc, 
            stunnel4, 
            openssl,
            ethtool
Conflicts: tcosmonitor (<< 0.1.23.2), initramfs-tools-tcos (<< 0.87.0)
XB-Python-Version: ${python:Versions}
Description: Common scripts and bins for generating a TCOS thin client bootable image
 This package contain common scripts, libs, bins and dependencies to
 generate network images or be used in standalone hosts.


Package: tcos-standalone
Architecture: all
Depends: tcos-core (>= 0.88.0), 
         tcosmonitor-common, 
         openssl, 
         gksu, 
         python, 
         python-eggtrayicon | python-gnome2-extras, 
         python-gtk2, 
         python-glade2, 
         ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: tcos-core (<< 0.87.15)
Recommends: ethtool
XB-Python-Version: ${python:Versions}
Description: TCOS GUI configurator for standalone hosts
 This package contains a PyGTK+ gui configurator and dependencies
 to install and configure a standalone TCOS host.
  .
 With this package you can control installed clients from tcosmonitor.



Package: tcos
Architecture: all
Depends: initramfs-tools-tcos (>= 0.84.5), 
         python, 
         python-configobj, 
         ${misc:Depends}, ${shlibs:Depends}
Recommends: tcos-configurator, 
            dnsmasq | tcos-tftp-dhcp,
            tcosmonitor, tcosconfig, 
            ltspfs, 
           fuse-utils, 
            pulseaudio-esound-compat | esound
XB-Python-Version: ${python:Versions}
Description: Base package for install a TCOS (Thin client) server
 This is a system for generating thin client hosts using initramfs.
 TCOS is a set of build tools to prepare an initramfs image to boot
 thin client terminals.
 TCOS support dhcp, sound (alsa & esound | pulseaudio ), ltspfs, 
 Xorg and more utils.
 .
 This package install and recommends all required packages to make a 
 TCOS thin client server.


Package: tcos-tftp-dhcp
Architecture: all
Depends: atftpd, isc-dhcp-server | dhcp3-server | dhcp-server, ${misc:Depends}
Description: Metapackage to install TCOS with atftp and DHCP server
 This metapackage depends on atftp and a DHCP server to provide needed 
 daemons needed to run a TCOS server.
