## tcos 0.89.89ubuntu1

=== debian/changelog ===
tcos (0.89.89ubuntu1) quantal; urgency=low

  * xmlrpc/common.c:
    Comment out the memset implementation to allow inlining of memset from
    libc (fixes FTBFS with gcc-4.7).

 -- Michael Bienia <geser@ubuntu.com>  Thu, 17 May 2012 22:03:28 +0200
