=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tcos
 Section: net
 Priority: extra
-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python (>= 2.6.6-3~),
                libxmlrpc-c3-dev | libxmlrpc-core-c3-dev,
