## tcos 0.89.89ubuntu2

=== debian/changelog ===
tcos (0.89.89ubuntu2) quantal; urgency=low

  * Drop dhcp3-server from Depends: following dhcp3-server to
    isc-dhcp-server transition.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 02 Aug 2012 10:08:12 +0100
