=== debian/changelog ===
tcos (0.89.90ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop dhcp3-server from Depends: following dhcp3-server to
      isc-dhcp-server transition.
    - xmlrpc/common.c:
      Comment out the memset implementation to allow inlining of memset from
      libc (fixes FTBFS with gcc-4.7).

 -- Logan Rosen <logatronico@gmail.com>  Wed, 08 Aug 2012 20:00:49 -0400

tcos (0.89.90) unstable; urgency=low

  * debian/initramfs-tools-tcos.postrm:
    - piuparts, don't call delgroup if can't
  * Add overlayfs as aufs alternative
  * hooks-addons/clean_initramfs: multiarch with libpci3
  * Simplify grep commands
  * Install conf/tcos.conf instead of conf/tcos.conf.etc
  * Use a global LIB_MULTIARCH var
  * tcos-standalone French translation, thanks to Julien Patriarca, (closes: #672135)

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Fri, 22 Jun 2012 13:42:53 +0200
