=== debian/control ===
--- 
+++ 
@@ -126,7 +126,7 @@
 
 Package: tcos-tftp-dhcp
 Architecture: all
-Depends: atftpd, isc-dhcp-server | dhcp3-server | dhcp-server, ${misc:Depends}
+Depends: atftpd, isc-dhcp-server | dhcp-server, ${misc:Depends}
 Description: Metapackage to install TCOS with atftp and DHCP server
  This metapackage depends on atftp and a DHCP server to provide needed 
  daemons needed to run a TCOS server.
