=== debian/changelog ===
tcos (0.89.90ubuntu2) saucy; urgency=low

  * Depend on the new package name: fuse-utils is renamed to fuse.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 16:15:40 +0100
