=== debian/control ===
--- 
+++ 
@@ -111,7 +111,7 @@
             dnsmasq | tcos-tftp-dhcp,
             tcosmonitor, tcosconfig, 
             ltspfs, 
-           fuse-utils, 
+           fuse, 
             pulseaudio-esound-compat | esound
 Description: Base package for install a TCOS (Thin client) server
  This is a system for generating thin client hosts using initramfs.
