=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tcos
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
+Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python (>= 2.6.6-3~),
                libxmlrpc-c3-dev | libxmlrpc-core-c3-dev,
@@ -12,7 +11,7 @@
                pkg-config,
                libasound2-dev,
                libglib2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Git: http://tcosproject.org/git/tcos.git
 Vcs-Browser: http://tcosproject.org/cgit/tcos.git/
 Homepage: http://www.tcosproject.org
@@ -88,7 +87,6 @@
          openssl, 
          gksu, 
          python, 
-         python-eggtrayicon | python-gnome2-extras, 
          python-gtk2, 
          python-glade2, 
          ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
@@ -111,7 +109,7 @@
             dnsmasq | tcos-tftp-dhcp,
             tcosmonitor, tcosconfig, 
             ltspfs, 
-           fuse, 
+            fuse, 
             pulseaudio-esound-compat | esound
 Description: Base package for install a TCOS (Thin client) server
  This is a system for generating thin client hosts using initramfs.
@@ -126,7 +124,7 @@
 
 Package: tcos-tftp-dhcp
 Architecture: all
-Depends: atftpd, isc-dhcp-server | dhcp-server, ${misc:Depends}
+Depends: atftpd, isc-dhcp-server | dhcp3-server | dhcp-server, ${misc:Depends}
 Description: Metapackage to install TCOS with atftp and DHCP server
  This metapackage depends on atftp and a DHCP server to provide needed 
  daemons needed to run a TCOS server.
