## tcos 0.89.93ubuntu2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 ##
 ##    mariodebian \/at\/ gmail \/dot\/ com
 ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
-
 
 all:
 	$(MAKE) -C hex2ascii
@@ -102,6 +101,9 @@
 	sed -i 's/__TCOS_DISTRO__/$(DISTRO_VERSION)/g' $(DESTDIR)/var/lib/tcos/version.conf
 	sed -i 's/__DISTRIBUTION__/$(DISTRO)/g'        $(DESTDIR)/var/lib/tcos/version.conf
 	sed -i 's/__TCOS_ARCH__/$(TCOS_ARCH)/g'        $(DESTDIR)/var/lib/tcos/version.conf
+	sed -i 's/__TCOS_MULTIARCH__/$(TCOS_MULTIARCH)/g'        $(DESTDIR)/var/lib/tcos/version.conf
+
+	install -m 755 bin/gentcos                               $(DESTDIR)/usr/sbin/
 
 
 	# tcos.conf templates
