=== hex2ascii/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include ../common.mk
 
 hex2ascii:
-	$(QUIET_CC)$(GCC) hex2ascii.c -o hex2ascii $(CFLAGS) -Wall -ansi -pedantic
+	$(QUIET_CC)$(GCC) hex2ascii.c -o hex2ascii $(CFLAGS) $(LDFLAGS) -Wall -ansi -pedantic
 
 clean:
 	$(QUIET_CL)rm -f hex2ascii
