=== debian/changelog ===
tcos (0.89.93ubuntu2) trusty; urgency=medium

  * Update build-deps for the xmlrpc-c 1.33.06 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 22 Mar 2014 11:02:33 -0600

tcos (0.89.93ubuntu1) trusty; urgency=medium

  * Merge from debian, remaining changes:
    - Drop dhcp3-server from Depends: following dhcp3-server to
      isc-dhcp-server transition.
    - xmlrpc/common.c:
      Comment out the memset implementation to allow inlining of memset from
      libc (fixes FTBFS with gcc-4.7).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 31 Dec 2013 18:46:36 +0000
