=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: tcos
 Section: net
 Priority: extra
-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python (>= 2.6.6-3~),
-               libxmlrpc-c3-dev | libxmlrpc-core-c3-dev,
+               libxmlrpc-core-c3-dev,
                libxau-dev,
                libxaw7-dev,
                libimlib2-dev,
@@ -124,7 +125,7 @@
 
 Package: tcos-tftp-dhcp
 Architecture: all
-Depends: atftpd, isc-dhcp-server | dhcp3-server | dhcp-server, ${misc:Depends}
+Depends: atftpd, isc-dhcp-server | dhcp-server, ${misc:Depends}
 Description: Metapackage to install TCOS with atftp and DHCP server
  This metapackage depends on atftp and a DHCP server to provide needed 
  daemons needed to run a TCOS server.
